# PyroCMS Community Edition

* [Website](http://pyrocms.com/)
* [Documentation](http://pyrocms.com/docs)
* [License](http://pyrocms.com/legal/license)
* [Forums](http://pyrocms.com/forums)
* Version: 2.1.1

## Team

* [Phil Sturgeon](http://philsturgeon.co.uk/)
* [Jerel Unruh](http://unruhdesigns.com/)
* [Adam Fairholm](http://parse19.com/)

## Description

PyroCMS is a CMS built using the CodeIgniter PHP framework. Using an MVC architecture
it was built with modularity in mind. Lightweight, themeable and dynamic.

PyroCMS Community Edition is free to use, redistribute and/or modify for any purpose whether personal or commercial however you must retain the copyright in your source code and in the footer of the administration.


## Installation

Run http://example.com/installer to run the web-based installation script.


## Upgrading

For a detailed upgrade guide please look at the [2.0 Upgrading Documentation](http://www.pyrocms.com/docs/2.0/getting-started/upgrading-within-2.0).

## Bugs & Feature Requests

[Issue tracker](http://github.com/pyrocms/pyrocms/issues)
[Forum](http://www.pyrocms.com/forums)

Before reporting bugs or requesting any features, please check that it does not already exist.

## Git Structure

We use the git-flow model to structure our branches. This means you won't see a lot of activity on the master branch besides releases.
Most of the magic happens in the develop branch.
[More about git-flow](http://nvie.com/posts/a-successful-git-branching-model/)

It's strongly recommended that you download the [git-flow client](https://github.com/nvie/gitflow) and "publish" each feature branch you would like to see merged into the core. This way all features are not version-dependant and you can make as many changes as you like without needing them all to be merged in order.

## Thanks

### Contributors

* [Lee Tengum](http://twitter.com/thatleeguy)
* [BenneX](http://github.com/BenneX)
* [Colin Williams](http://williamsconcepts.com/)
* [Yorick Peterse](http://www.yorickpeterse.com/)
* [Dan Horrigan](http://dhorrigan.com/)
* [Ben Edmunds](http://benedmunds.com/)
* [Eric Barnes](http://ericlbarnes.com/)
* [Stephen Cozart](http://twitter.com/stephencozart)

Think you should be on this list? Add yourself in the next pull request you submit.

[All Contributors](https://github.com/pyrocms/pyrocms/contributors)

### Translators

* [Demostenes Garcia](http://www.demogar.com/) Spanish
* [Frederic Quie](http://www.bleekom.org/) French
* [TheLoops](http://codeigniter.com/forums/member/62232/) German
* [Bartosz Majewski](http://404design.pl/) Polish
* [diederikeijgelaar](http://github.com/diederikeijgelaar) Dutch
* [okhayat](http://webymaster.com/) Arabic
* [DarkPreacher](http://darklab.ru) Russian
* [Marcos Coelho](http://marcoscoelho.com/) Portuguese Brazilian
* [Miguel Justo](http://migueljusto.net/) Portuguese Portugal
* [imamo](http://www.imamo.si/) Slovenian
* [Petsagourakis George](https://github.com/petsagouris) Greek
* [Mikael Kundert](https://github.com/mikaelkundert) Finnish
* [Jack Sun](http://www.o-matic.com.tw/) Chinese Traditional
* [Toni Haryanto](http://toniharyanto.cs.upi.edu/) Indonesian
* [Nateetorn Lertkhonsan](http://twitter.com/ikwannnnn) Thai
